import request from '@/utils/request'

//获取用户列表
export function wxuserList(query) {
  return request({
    url: '/wxuser/list',
    method: 'get',
    params: query,
    baseURL: "/afterSales-api",
  })
}
//获取用户列表
export function add(data) {
  return request({
    url: '/wxuser/add',
    method: 'post',
    baseURL: "/afterSales-api",
    data
  })
}
//修改用户

export function update(data) {
  return request({
    url: '/wxuser/update',
    method: 'post',
    baseURL: "/afterSales-api",
    data
  })
}
//删除用户

export function remove(userIds) {
  return request({
    url: '/wxuser/remove/'+userIds,
    method: 'delete',
    baseURL: "/afterSales-api",
  })
}
//获取用户列表
export function supporterApply(query) {
  return request({
    url: '/supporterApply/list',
    method: 'get',
    params: query,
    baseURL: "/afterSales-api",
  })
}
//审核通过
export function agree(applyId) {
  return request({
    url: '/supporterApply/agree/'+applyId,
    method: 'post',

    baseURL: "/afterSales-api",
  })
}
//审核驳回
export function reject(applyId) {
  return request({
    url: '/supporterApply/reject/'+applyId,
    method: 'post',
    baseURL: "/afterSales-api",
  })
}
//审核删除
export function deleteAppId(applyId) {
  return request({
    url: '/supporterApply/remove/'+applyId,
    method: 'delete',
    baseURL: "/afterSales-api",
  })
}

